Create a Discussion
https://mapi.storyblok.com/v1/spaces/space_id/stories/story_id/discussionsThis endpoint creates a new discussion.
Path parameters
Section titled “Path parameters”:space_idrequired numberNumeric ID of a space
:story_idrequired numberID of the story
Request body properties
Section titled “Request body properties”commentrequired objectThe
commentis an object in the discussion that contains amessage_jsonarray object.Show
Themessage_jsonpropertiesmessage_jsonproperty is an array containing JSON objects representing the comments’ messages.textstringThe text part
typestringThe type
attrsobjectAttributes
langstringLanguage code to add the discussion to.
titlerequired stringTitle of the discussion field.
fieldnamestringTechnical name of the discussion field
block_uidrequired stringThe ID of discussion block.
componentstringThe component/block name to which the discussion belongs to
Response properties
Section titled “Response properties”discussionThe Discussions Object
Examples
Section titled “Examples”curl "https://mapi.storyblok.com/v1/spaces/288868932106293/stories/12367/discussions" \ -X POST \ -H "Authorization: YOUR_PERSONAL_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d "{\"discussion\":{\"block_uid\":\"f7bd92e3-b309-4441-a8a0-654e499fefc8\",\"comment\":{\"message_json\":[{\"text\":\"this is a comment \",\"type\":\"text\"},{\"attrs\":{\"id\":99734,\"label\":\"Fortune Ikechi\"},\"type\":\"mention\"}]},\"component\":\"feature\",\"fieldname\":\"name\",\"lang\":\"default\",\"title\":\"Name\"}}"// storyblok-js-client@>=7, node@>=18import Storyblok from "storyblok-js-client";
const storyblok = new Storyblok({ oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",});
try { const response = await storyblok.post('spaces/288868932106293/stories/12367/discussions', { "discussion": { "block_uid": "f7bd92e3-b309-4441-a8a0-654e499fefc8", "comment": { "message_json": [ { "text": "this is a comment ", "type": "text" }, { "attrs": { "id": 99734, "label": "Fortune Ikechi" }, "type": "mention" } ] }, "component": "feature", "fieldname": "name", "lang": "default", "title": "Name" } }) console.log({ response })} catch (error) { console.log(error)}$client = new \Storyblok\ManagementClient('YOUR_PERSONAL_ACCESS_TOKEN');
$payload = ["discussion" => ["block_uid" => "f7bd92e3-b309-4441-a8a0-654e499fefc8","comment" => ["message_json" => [["text" => "this is a comment ","type" => "text"],["attrs" => ["id" => 99734,"label" => "Fortune Ikechi"],"type" => "mention"]]],"component" => "feature","fieldname" => "name","lang" => "default","title" => "Name"]];
$client->post('spaces/288868932106293/stories/12367/discussions', $payload)->getBody();HttpResponse<String> response = Unirest.post("https://mapi.storyblok.com/v1/spaces/288868932106293/stories/12367/discussions") .header("Content-Type", "application/json") .header("Authorization", "YOUR_PERSONAL_ACCESS_TOKEN") .body({"discussion":{"block_uid":"f7bd92e3-b309-4441-a8a0-654e499fefc8","comment":{"message_json":[{"text":"this is a comment ","type":"text"},{"attrs":{"id":99734,"label":"Fortune Ikechi"},"type":"mention"}]},"component":"feature","fieldname":"name","lang":"default","title":"Name"}}) .asString();var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/stories/12367/discussions");var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");request.AddHeader("Authorization", "YOUR_PERSONAL_ACCESS_TOKEN");request.AddParameter("application/json", "{\"discussion\":{\"block_uid\":\"f7bd92e3-b309-4441-a8a0-654e499fefc8\",\"comment\":{\"message_json\":[{\"text\":\"this is a comment \",\"type\":\"text\"},{\"attrs\":{\"id\":99734,\"label\":\"Fortune Ikechi\"},\"type\":\"mention\"}]},\"component\":\"feature\",\"fieldname\":\"name\",\"lang\":\"default\",\"title\":\"Name\"}}", ParameterType.RequestBody);IRestResponse response = client.Execute(request);import requests
url = "https://mapi.storyblok.com/v1/spaces/288868932106293/stories/12367/discussions"
querystring = {}
payload = {"discussion":{"block_uid":"f7bd92e3-b309-4441-a8a0-654e499fefc8","comment":{"message_json":[{"text":"this is a comment ","type":"text"},{"attrs":{"id":99734,"label":"Fortune Ikechi"},"type":"mention"}]},"component":"feature","fieldname":"name","lang":"default","title":"Name"}}headers = { 'Content-Type': "application/json", 'Authorization': "YOUR_PERSONAL_ACCESS_TOKEN"}
response = requests.request("POST", url, data=payload, headers=headers, params=querystring)
print(response.text)require 'storyblok'client = Storyblok::Client.new(oauth_token: 'YOUR_PERSONAL_ACCESS_TOKEN')
payload = {"discussion" => {"block_uid" => "f7bd92e3-b309-4441-a8a0-654e499fefc8","comment" => {"message_json" => [{"text" => "this is a comment ","type" => "text"},{"attrs" => {"id" => 99734,"label" => "Fortune Ikechi"},"type" => "mention"}]},"component" => "feature","fieldname" => "name","lang" => "default","title" => "Name"}}
client.post('spaces/288868932106293/stories/12367/discussions', payload)let storyblok = URLSession(storyblok: .mapi(accessToken: .personal("YOUR_PERSONAL_ACCESS_TOKEN")))var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/stories/12367/discussions")request.httpMethod = "POST"request.httpBody = try JSONSerialization.data(withJSONObject: [ "discussion": [ "block_uid": "f7bd92e3-b309-4441-a8a0-654e499fefc8", "comment": [ "message_json": [ [ "text": "this is a comment ", "type": "text", ], [ "attrs": [ "id": 99734, "label": "Fortune Ikechi", ], "type": "mention", ], ], ], "component": "feature", "fieldname": "name", "lang": "default", "title": "Name", ],])let (data, _) = try await storyblok.data(for: request)print(try JSONSerialization.jsonObject(with: data))val client = HttpClient { install(Storyblok(MAPI)) { accessToken = Personal("YOUR_PERSONAL_ACCESS_TOKEN") }}
val response = client.post("spaces/288868932106293/stories/12367/discussions") { setBody(buildJsonObject { putJsonObject("discussion") { put("block_uid", "f7bd92e3-b309-4441-a8a0-654e499fefc8") putJsonObject("comment") { putJsonArray("message_json") { addJsonObject { put("text", "this is a comment ") put("type", "text") } addJsonObject { putJsonObject("attrs") { put("id", 99734) put("label", "Fortune Ikechi") } put("type", "mention") } } } put("component", "feature") put("fieldname", "name") put("lang", "default") put("title", "Name") } })}
println(response.body<JsonElement>())You will receive a discussions object as a response.
Was this page helpful?
This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window).Terms of Service (opens in a new window) apply.
Get in touch with the Storyblok community